const { request } = require("../request/index");
/**
 * get
 */
export const get = function (url, params, showLoading = true) {
  return request({
    url: url,
    method: "GET",
    data: params,
    showLoading
  })
}

/**
* post
*/
export const post = function (url, params, showLoading = true) {
  return request({
    url: url,
    method: "POST",
    data: params,
    showLoading
  })
}

/**
* put
*/
export const put = function (url, params) {
  return request({
    url: url,
    method: "PUT",
    data: params
  })
}
